<?php 

	$garden_care_custom_style = '';

	// Logo Size
	$garden_care_logo_top_padding = get_theme_mod('garden_care_logo_top_padding');
	$garden_care_logo_bottom_padding = get_theme_mod('garden_care_logo_bottom_padding');
	$garden_care_logo_left_padding = get_theme_mod('garden_care_logo_left_padding');
	$garden_care_logo_right_padding = get_theme_mod('garden_care_logo_right_padding');

	if( $garden_care_logo_top_padding != '' || $garden_care_logo_bottom_padding != '' || $garden_care_logo_left_padding != '' || $garden_care_logo_right_padding != ''){
		$garden_care_custom_style .=' .logo {';
			$garden_care_custom_style .=' padding-top: '.esc_attr($garden_care_logo_top_padding).'px ;
			padding-bottom: '.esc_attr($garden_care_logo_bottom_padding).'px ;
			padding-left: '.esc_attr($garden_care_logo_left_padding).'px ;
			padding-right: '.esc_attr($garden_care_logo_right_padding).'px ;';
		$garden_care_custom_style .=' }';
	}

	// Service Section padding
	$garden_care_service_section_padding = get_theme_mod('garden_care_service_section_padding');

	if( $garden_care_service_section_padding != ''){
		$garden_care_service_section_padding .=' #services-section {';
			$garden_care_custom_style .=' padding-top: '.esc_attr($garden_care_service_section_padding).'px;
			padding-bottom: '.esc_attr($garden_care_service_section_padding).'px;';
		$garden_care_custom_style .=' }';
	}

	// Site Title Font Size
	$garden_care_site_title_font_size = get_theme_mod('garden_care_site_title_font_size');
	if( $garden_care_site_title_font_size != ''){
		$garden_care_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$garden_care_custom_style .=' font-size: '.esc_attr($garden_care_site_title_font_size).'px;';
		$garden_care_custom_style .=' }';
	}

	// Site Tagline Font Size
	$garden_care_site_tagline_font_size = get_theme_mod('garden_care_site_tagline_font_size');
	if( $garden_care_site_tagline_font_size != ''){
		$garden_care_custom_style .=' .logo p.site-description {';
			$garden_care_custom_style .=' font-size: '.esc_attr($garden_care_site_tagline_font_size).'px;';
		$garden_care_custom_style .=' }';
	}

	// Copyright padding
	$garden_care_copyright_padding = get_theme_mod('garden_care_copyright_padding');

	if( $garden_care_copyright_padding != ''){
		$garden_care_custom_style .=' .site-info {';
			$garden_care_custom_style .=' padding-top: '.esc_attr($garden_care_copyright_padding).'px; padding-bottom: '.esc_attr($garden_care_copyright_padding).'px;';
		$garden_care_custom_style .=' }';
	}

	// Header Image
	$header_image_url = garden_care_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$garden_care_custom_style .=' #inner-pages-header {';
			$garden_care_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$garden_care_custom_style .=' }';
		$garden_care_custom_style .=' .header-overlay {';
			$garden_care_custom_style .=' position: absolute; 	width: 100%; height: 100%; 	top: 0; left: 0; background: #000; opacity: 0.3;';
		$garden_care_custom_style .=' }';
	} else {
		$garden_care_custom_style .=' #inner-pages-header {';
			$garden_care_custom_style .=' background: linear-gradient(0deg,#6a951f,#4c7815 80%) no-repeat; ';
		$garden_care_custom_style .=' }';
	}

	$garden_care_slider_hide_show = get_theme_mod('garden_care_slider_hide_show',false);
	if( $garden_care_slider_hide_show == true){
		$garden_care_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$garden_care_custom_style .=' display:none;';
		$garden_care_custom_style .=' }';
	} else {
		$garden_care_custom_style .=' #services-section {';
			$garden_care_custom_style .=' padding-top:50px;';
		$garden_care_custom_style .=' }';
	}